############################################################################
#
#       Project		evaluate all bool function using MODIFIED gpquick-2.1,
# 			using SiliconGraphics C/Unix/etc Revision: 1.3 $ 
#	    
#       Author		W.B.Langdon
#
#	Created		9 Jan 1999, based upon allbool.make Revision: 1.2
# 									   
#	Modifications:  
#
#	Module:         bool.make
#
#	Description:          
#
#	Notes		ensure pch.h contain #define UNIX
#			#define MULTREE
#
############################################################################

NAME 	= GPbool
OBJS 	= gp.o	bool.o	stats.o chrome.o   rand_tree.o	primitiv.o   selector.o
LIBS 	= -lm
CC 	= g++
COMPILE = $(CC) -c $(CFLAGS)
CFLAGS 	= -O3
#CFLAGS = -g3 -Wall -check -pg
LINK 	= $(CC) -o 
LDFLAGS =  -g


$(NAME):$(OBJS) 
	$(LINK) $(NAME) $(LDFLAGS) $(OBJS) $(LIBS)

#C++ source files

gp.o:	gp.cc pch.h chrome.h selector.h bool.h primitiv.h time.h gp.h trace.h test.h
	$(COMPILE) gp.cc

bool.o:	bool.cc bool.test64.cc pch.h chrome.h bool.h selector.h primitiv.h gp.h test.h
	$(COMPILE) bool.cc

stats.o:	stats.cc pch.h chrome.h selector.h bool.h gp.h
	$(COMPILE) stats.cc

chrome.o:	chrome.cxx pch.h chrome.h selector.h bool.h
	$(COMPILE) chrome.cxx

rand_tree.o:	rand_tree.cc pch.h chrome.h selector.h bool.h
	$(COMPILE) rand_tree.cc

primitiv.o:	primitiv.cxx pch.h chrome.h selector.h bool.h primitiv.h
	$(COMPILE) primitiv.cxx

selector.o:	selector.cxx pch.h selector.h
	$(COMPILE) selector.cxx
